/*
  Input Devices
  Read phototransistor PA7 Pin 7
  White LED blink PB2 Pin 8
*/
 
#include <SoftwareSerial.h>
#define rx 0
#define tx 1

SoftwareSerial mySerial(rx, tx);

int phototransistor = 7; 
int led = 8;

void setup() {
  pinMode(rx, INPUT);     
  pinMode(tx, OUTPUT);  
  pinMode(phototransistor, INPUT);  
  pinMode(led, OUTPUT);
  mySerial.begin(115200);
}

void loop() {  
  mySerial.println(analogRead(phototransistor)); 
  digitalWrite(led, HIGH);  
  delay(100);          
  digitalWrite(led, LOW); 
  delay(1000);
}
